/**
 * Moderner euklidischer Algorithmus zur Berechnung des grten gemeinsamen Teilers und des kleinsten gemeinsamen Vielfachen.
 * 
 * @author Owyn
 * @version 2007-05-02
 */
public class Euklid {

    /**
     * Berechnet den grten gemeinsamen Teiler ggT(a, b).
     * 
     * @param a  erste Zahl
     * @param b  zweite Zahl
     * @return   ggT(a, b)
     */
    public static int ggt(int a, int b) {
        int h = 0;
        while (b != 0) {
            h = a % b;
            a = b;
            b = h;
        }
        return a;
    }

    /**
     * Berechnet das kleinste gemeinsame Vielfache kgV(a, b).
     * 
     * @param a  erste Zahl
     * @param b  zweite Zahl
     * @return   kgV(a, b)
     */
    public static int kgv(int a, int b) {
        return Math.abs(a * b) / ggt(a, b);
    }

}
